package edu.nwu.ccl.nlogo.extensions.texas ;

public class IOUtils
{

	// this class is not instantiable
	private IOUtils() { throw new IllegalStateException() ; }

	public static org.nlogo.api.LogoList splitIntoLists( String fileString, 
		String fieldDelimiter )
	{
		String[] lines = fileString.split( "(\n|\r\n|\r|\u0085|\u2028|\u2029)" ) ;

		org.nlogo.api.LogoList entireFileList = 
			new org.nlogo.api.LogoList( lines.length ) ;
		for( int i = 0 ; i < lines.length ; i++ )
		{
			String[] fields = lines[ i ].split( fieldDelimiter ) ;
			org.nlogo.api.LogoList lineFields = 
				new org.nlogo.api.LogoList( fields.length ) ;
			for( int j = 0 ; j < fields.length ; j++ )
			{
				lineFields.add( fields[ j ] ) ;
			}
			entireFileList.add( lineFields ) ;
		}
		return entireFileList ;
	}
	
	public static String readFile( String path )
		throws org.nlogo.api.ExtensionException
	{
		try
		{
			return org.nlogo.util.LocalFile.readFile( new java.io.File( path ) ) ;
		}
		catch( java.io.IOException ex )
		{
			throw new org.nlogo.api.ExtensionException( ex.getMessage() ) ;
		}
	}
	
	public static String readURL( String url )
		throws java.io.IOException
	{
		return org.nlogo.util.Utils.url2String( url ) ;
	}
}
